return {
    -- Список плагинов

    -- Treesitter для синтаксического анализа
    {
        "nvim-treesitter/nvim-treesitter",
        build = ":TSUpdate",
        config = function()
            require("config.nvim-treesitter")
        end,
    },

    -- Icon provider plugins
    { "antoinemadec/FixCursorHold.nvim" },
    { "nvim-tree/nvim-web-devicons" },

    -- Render Markdown
    {
        "MeanderingProgrammer/render-markdown.nvim",
        dependencies = { "echasnovski/mini.nvim", opt = true },
        config = function()
            require("config.render-markdown")
        end,
    },

    -- Git интеграция
    {
        "lewis6991/gitsigns.nvim",
        config = function()
            require("config.gitsigns")
        end,
    },

    -- Показывает доступные комбинации клавиш
    {
        "folke/which-key.nvim",
        config = function()
            require("config.which-key")
        end,
    },

    -- Визуализация отступов
    {
        "lukas-reineke/indent-blankline.nvim",
        config = function()
            require("config.indent-blankline")
        end,
    },

    -- Канагава theme 
	{
	"rebelot/kanagawa.nvim",
	lazy = false, -- Убедитесь, что плагин загружается при запуске
	priority = 1000, -- Высокий приоритет для применения цветовой схемы
	config = function()
	  vim.cmd("colorscheme kanagawa")
	end
	},
	

	--nigthfly theme
	{
	"bluz71/vim-nightfly-colors",
	lazy = false,
	priority = 1000,
	config = function()
	end,
	},



	{
	"hrsh7th/nvim-cmp"
	},
   



	{
	"hrsh7th/cmp-nvim-lsp" 
	},

	{
	  "ibhagwan/fzf-lua",
	  -- optional for icon support
	  dependencies = { "nvim-tree/nvim-web-devicons" },
	  -- or if using mini.icons/mini.nvim
	  -- dependencies = { "echasnovski/mini.icons" },
	  opts = {}
	},




	{"nvim-lualine/lualine.nvim", dependencies = { "kyazdani42/nvim-web-devicons", optional = true } },
	{ "morhetz/gruvbox" },
    { "folke/tokyonight.nvim" },
    { "neovim/nvim-lspconfig" },
    { "kyazdani42/nvim-tree.lua", dependencies = { "nvim-tree/nvim-web-devicons" } },
    { "akinsho/bufferline.nvim", version = "*", dependencies = "nvim-tree/nvim-web-devicons" },
    { "williamboman/mason.nvim" },
    { "hrsh7th/cmp-nvim-lsp-signature-help" },
	{ "nvim-lua/plenary.nvim", lazy = true },
}
